End active scheduled stream
PUT
https://octopus.livepush.io/streams/{stream_id}/config/scheduler/events/{event_id}/end
Base URL https://octopus.livepush.io — Core Streams & Media APIs
Stops a currently running pre-recorded live stream event.
Ending a stream is not instantaneous and may take a few seconds to fully stop playback and disconnect destinations.
Authorization
Send a valid access token in the Authorization header.
bearerAuth— Bearer token (JWT)
Authorization: Bearer YOUR_API_TOKEN
Try it
Loading the request builder…
PUT
https://octopus.livepush.io/streams/{stream_id}/config/scheduler/events/{event_id}/end
— This call changes live data on your account.
Parameters
Path parameters
-
stream_idstring requiredUnique identifier of the pre-recorded live stream -
event_idstring requiredUnique identifier of the active scheduled event
Code samples
curl -X PUT 'https://octopus.livepush.io/streams/<stream_id>/config/scheduler/events/<event_id>/end' \
-H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://octopus.livepush.io/streams/<stream_id>/config/scheduler/events/<event_id>/end', {
method: 'PUT',
headers: {
'Authorization': 'Bearer YOUR_API_TOKEN',
},
});
if (!response.ok) {
throw new Error(`Livepush API error ${response.status}`);
}
const data = await response.json();
import requests
headers = {
'Authorization': 'Bearer YOUR_API_TOKEN',
}
response = requests.put('https://octopus.livepush.io/streams/<stream_id>/config/scheduler/events/<event_id>/end', headers=headers, timeout=30)
response.raise_for_status()
data = response.json()
Responses
Stream end request accepted
Unauthorized
Stream or event not found